Package ghidra.app.util.bin.format.macho.dyld

# Class DyldChainedPtr

java.lang.Object
ghidra.app.util.bin.format.macho.dyld.DyldChainedPtr

public class DyldChainedPtr extends Object

See Also:
  - mach-o/fixup-chains.h

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DyldChainedPtr.DyldChainType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DYLD_CHAINED_PTR_START_LAST`
  `static final int`
  `DYLD_CHAINED_PTR_START_MULTI`
  `static final int`
  `DYLD_CHAINED_PTR_START_NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DyldChainedPtr()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `getAddend(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static long`
  `getChainValue(Memory memory, Address chainLoc, DyldChainedPtr.DyldChainType ptrFormat)`
  `static long`
  `getDiversity(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static long`
  `getKey(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static long`
  `getNext(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static long`
  `getOrdinal(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static long`
  `getStride(DyldChainedPtr.DyldChainType ptrFormat)`
  `static long`
  `getTarget(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static boolean`
  `hasAddrDiversity(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static boolean`
  `isAuthenticated(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static boolean`
  `isBound(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)`
  `static boolean`
  `isRelative(DyldChainedPtr.DyldChainType ptrFormat)`
  `static RelocationResult`
  `setChainValue(Memory memory, Address chainLoc, DyldChainedPtr.DyldChainType ptrFormat, long value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DYLD_CHAINED_PTR_START_NONE

    public static final int DYLD_CHAINED_PTR_START_NONE
    See Also:
      - Constant Field Values

  - ### DYLD_CHAINED_PTR_START_MULTI

    public static final int DYLD_CHAINED_PTR_START_MULTI
    See Also:
      - Constant Field Values

  - ### DYLD_CHAINED_PTR_START_LAST

    public static final int DYLD_CHAINED_PTR_START_LAST
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DyldChainedPtr

    public DyldChainedPtr()

- ## Method Details

  - ### getStride

    public static long getStride(DyldChainedPtr.DyldChainType ptrFormat)

  - ### setChainValue

    public static RelocationResult setChainValue(Memory memory, Address chainLoc, DyldChainedPtr.DyldChainType ptrFormat, long value) throws MemoryAccessException
    Throws:
      `MemoryAccessException`

  - ### getChainValue

    public static long getChainValue(Memory memory, Address chainLoc, DyldChainedPtr.DyldChainType ptrFormat) throws MemoryAccessException
    Throws:
      `MemoryAccessException`

  - ### isRelative

    public static boolean isRelative(DyldChainedPtr.DyldChainType ptrFormat)

  - ### isBound

    public static boolean isBound(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### isAuthenticated

    public static boolean isAuthenticated(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### getDiversity

    public static long getDiversity(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### hasAddrDiversity

    public static boolean hasAddrDiversity(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### getKey

    public static long getKey(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### getTarget

    public static long getTarget(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### getAddend

    public static long getAddend(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### getOrdinal

    public static long getOrdinal(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)

  - ### getNext

    public static long getNext(DyldChainedPtr.DyldChainType ptrFormat, long chainValue)